﻿using Myriadbits.NTFS;
using System;
using System.Collections.Generic;
using System.Diagnostics;
using System.Drawing;
using System.IO;
using System.Linq;
using System.Text;
using System.Windows.Forms;

namespace Myriadbits.DiskSpaceAnalyzer
{

	/// <summary>
	/// Simple class that represents a single file
	/// </summary>
	public class RootFolder : Folder
	{
		public RootFolder()
		{
		}

		public RootFolder(Folder folder, string driveDisplayName)
		{
			this.Parser = folder.Parser;
			this.ReferenceNumber = folder.ReferenceNumber;
			this.ParentFolder = folder.ParentFolder;
			this.Name = folder.Name;
			this.Size = folder.Size;
			this.NumberOfFiles = folder.NumberOfFiles;
			this.OwnNumberOfFiles = folder.OwnNumberOfFiles;
			this.OwnSize = folder.OwnSize;
			this.Children = folder.Children;
			this.Files = folder.Files;
			this.DriveDisplayName = driveDisplayName;
		}

		public TreeBuilder Builder { get; set; }

		public string DriveDisplayName { get; set; }

	}
}
